package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 统计模式枚举类
*
* @author zxfei
*/
public enum StatTypeEnum {
    STAT_PH(0, "排号"),
    STAT_PJ(1, "评价"),
    STAT_ALL(2, "All");
    private Integer value;
    private String desc;

    StatTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static StatTypeEnum getByValue(Integer value) {
        for (StatTypeEnum activeEnum : StatTypeEnum.values()) {
            if (activeEnum.getValue() == value) {
                return activeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (StatTypeEnum item : StatTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}